Subject: checks 2497 and 2498
From: "Patty and Mike Finan" <[email-masked]>
To: "Katy Parcells" <[email-masked]>
Date: Thu, 23 Oct 2008 10:34:11 -0400

Hi Katy,

I will be writing out check 2497 today for $60 to Docent Guild to the Nov. 1 class. I will also be writing out check 2498 tomorrow for $12.95 to Murphy's Bakery for a cake for Jeanette for the party on Friday. 

Also, I'll only have 2 checks left after that - could you please send more?

Thanks!
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007  cell 989 670-8196
www.HuronCityMuseums.org